Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVTextType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVTextType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVTextType extends Object implements Serializable
Multi-lingual text. Separate Complex Type for Chapter IV, because Dutch and French are not always available both in Chapter IV

Java class for ConsultChapterIVTextType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVTextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Text" type="{urn:be:fgov:ehealth:dics:protocol:v5}TextType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVTextType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TextType>`
  `getTexts()`
  For each translation a Text field with language tag is available.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVTextType

    public ConsultChapterIVTextType()

- ## Method Details

  - ### getTexts

    public List<TextType> getTexts()
    For each translation a Text field with language tag is available. Gets the value of the texts property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

    For example, to add a new item, do as follows:

         getTexts().add(newItem);

    Objects of the following type(s) are allowed in the list `TextType`

    Returns:
      The value of the texts property.